import { Notify } from 'quasar';
import ICON from 'src/config/icons';

const creatNotify = function (type: string, icon: string, msg: string) {
  Notify.create({
    position: 'top',
    type,
    icon,
    textColor: 'white',
    message: msg,
  });
};
type IMessage = {
  success: (msg: string) => void;
  error: (msg: string) => void;
  warn: (msg: string) => void;
  info: (msg: string) => void;
};

const message: IMessage = {
  success: (msg: string) => {
    creatNotify('positive', ICON.success, msg);
  },
  error: (msg: string) => {
    creatNotify('negative', ICON.error, msg);
  },
  warn: (msg: string) => {
    creatNotify('warning', ICON.warn, msg);
  },
  info: (msg: string) => {
    creatNotify('info', ICON.info, msg);
  },
};

function useMessage() {
  return message;
}

export { useMessage };
